###
### Zip.mk
###
### Copyright (c) 2000 The University of Utah and the Flux Group.
### All rights reserved.
###
### This file is part of the Janos Java NodeOS software.
### 
### Permission to use, copy, modify, distribute, and sell this software and
### its documentation is hereby granted without fee, provided that the above
### copyright notice and this permission/disclaimer notice is retained in all
### copies or modified versions, and that both notices appear in supporting
### documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
### WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
### THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
### PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
### ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
### 
### Users are requested, but not required, to send to csl-dist@cs.utah.edu any
### improvements that they make and grant Univ. of Utah redistribution rights.
###

###
### This file should define no targets (other than mkdebug::)
###

## Default archiver to 'zip'
ifndef JAVA_ARCHIVER
JAVA_ARCHIVER:=zip
JAVA_ARCHIVER_TAG:=zip
endif

### ZIP archiver:
zip_EXTENSION:=zip
## We need recursion, update-semantics and *QUIET*.
zip_OPTS:=-ruq

### NONE archiver:
none_EXTENSION:=error-in-makefile
none_OPS:=error-in-makefile

###
### mkdebug target
###

.PHONY: mkdebug_Archiver.mk

mkdebug:: mkdebug_Archiver.mk

mkdebug_Archiver.mk::
	@echo 
	@echo "**** Archiver.mk settings:"
	@echo 
	@echo "    JAVA_ARCHIVER     = $(JAVA_ARCHIVER)"
	@echo "    JAVA_ARCHIVER_TAG = $(JAVA_ARCHIVER_TAG)"
	@echo "       _EXTENSION     = $($(JAVA_ARCHIVER)_EXTENSION)"
	@echo "       _OPTS          = $($(JAVA_ARCHIVER)_OPTS)"

# eof
